using System;
using System.Runtime.InteropServices;

/// <summary>
/// AWG-50 API library definitions
/// </summary>
public class AWG50
{

	//
	// Return code
	//
    public const int AWG50_OK = 0;
    public const int AWG50_DEVICE_NOT_FOUND = 1;
    public const int AWG50_MEMORY_ERROR = 2;
    public const int AWG50_FILE_ERROR = 3;
    public const int AWG50_COMMUNICATION_ERROR = 4;
    public const int AWG50_EXECUTION_ERROR = 5;
    public const int AWG50_OTHER_ERROR = 6;

    //
    // AWG-50 status
    //
    public const byte AWG50_STATUS_NO_DATA = 0;	// g`o͒~(g`t@Cݒ)
    public const byte AWG50_STATUS_READY = 1;	// g`o͒~(g`t@Cݒ)
    public const byte AWG50_STATUS_RUNNING = 2;	// g`o͒

    //
	// Functions
	//
    [DllImport("AWG50.dll", CharSet = CharSet.Ansi)]
    public static extern int AWG50_SetFile (string SerialNumber, string FilePath);
    [DllImport("AWG50.dll", CharSet = CharSet.Ansi)]
    public static extern int AWG50_Start (string SerialNumber);
    [DllImport("AWG50.dll", CharSet = CharSet.Ansi)]
    public static extern int AWG50_Stop (string SerialNumber);
    [DllImport("AWG50.dll", CharSet = CharSet.Ansi)]
    public static extern int AWG50_ForcedStop (string SerialNumber);
    [DllImport("AWG50.dll", CharSet = CharSet.Ansi)]
    public static extern int AWG50_GetStatus (string SerialNumber, ref byte Status);

}
