/*++

Copyright (c) 2010-2015 ELMOS Co., Ltd.

Module Name:
	AWG50.h
Abstract:
	AWG-50 API library definitions
Revision History:
	10/09/02	Created.
	11/06/07	Added AWG50_ForcedStop.
	11/06/07	Added AWG50_GetStatus.
	11/09/17	Support for AWG-50 Ver3.
	13/04/26	Support for Windows 8.
	15/06/02	Modified time out.

--*/

#ifndef AWG50_H
#define AWG50_H

#ifdef AWG50_EXPORTS_
#define AWG50_API __declspec(dllexport)
#else
#define AWG50_API __declspec(dllimport)
#endif

//
// Return code
//
enum {
	AWG50_OK,
	AWG50_DEVICE_NOT_FOUND,
	AWG50_MEMORY_ERROR,
	AWG50_FILE_ERROR,
	AWG50_COMMUNICATION_ERROR,
	AWG50_EXECUTION_ERROR,
	AWG50_OTHER_ERROR
};

//
// AWG-50 status
//
#define	AWG50_STATUS_NO_DATA	0	// g`o͒~(g`t@Cݒ)
#define	AWG50_STATUS_READY		1	// g`o͒~(g`t@Cݒ)
#define	AWG50_STATUS_RUNNING	2	// g`o͒

#ifdef __cplusplus
extern "C" {
#endif

//
// Functions
//
AWG50_API int WINAPI AWG50_SetFile (const char *SerialNumber, const char *FilePath);
AWG50_API int WINAPI AWG50_Start (const char *SerialNumber);
AWG50_API int WINAPI AWG50_Stop (const char *SerialNumber);
AWG50_API int WINAPI AWG50_ForcedStop (const char *SerialNumber);
AWG50_API int WINAPI AWG50_GetStatus (const char *SerialNumber, BYTE *Status);

#ifdef __cplusplus
}
#endif

#endif  /* AWG50_H */
